<?php

/**
 * Override of theme_breadcrumb().
 */
/*function scandinavian_breadcrumb($variables) {
  $breadcrumb = $variables['breadcrumb'];
//	drupal_set_message(print_r($breadcrumb));
  if (!empty($breadcrumb)) {
    // Provide a navigational heading to give context for breadcrumb links to
    // screen-reader users. Make the heading invisible with .element-invisible.
    $output = '<h2 class="element-invisible">' . t('You are here') . '</h2>';
    $crumbs = '<ul class="breadcrumbs clearfix">';
    $array_size = count($breadcrumb);
    $i = 0;
    while ( $i < $array_size) {
      $crumbs .= '<li class="breadcrumb-' . $i;
      if ($i == 0) {
        $crumbs .= ' first';
      }
      if ($i+1 == $array_size) {
        $crumbs .= ' last';
      }
      $crumbs .=  '">' . $breadcrumb[$i] . '</li>';
      $i++;
    }
	$currentPage = drupal_get_title();
	if (!empty($breadcrumb[1])){
		if (strip_tags($breadcrumb[1]) != $currentPage){
    		$crumbs .= '<li class="breadcrumb-3"><a href="">' .$currentPage. '</a></li></ul>';
		} else {
			$crumbs .= '</ul>';
		}
	}
	if (empty($breadcrumb[1])){
    		$crumbs .= '<li class="breadcrumb-3"><a href="">' .$currentPage. '</a></li></ul>';
	}

	return $crumbs;
  }
}*/

/**
 * Override or insert variables into the maintenance page template.
 */
function scandinavian_preprocess_maintenance_page(&$vars) {
  // While markup for normal pages is split into page.tpl.php and html.tpl.php,
  // the markup for the maintenance page is all in the single
  // maintenance-page.tpl.php template. So, to have what's done in
  // scandinavian_preprocess_html() also happen on the maintenance page, it has to be
  // called here.
  scandinavian_preprocess_html($vars);
}

/**
 * Override or insert variables into the html template.
 */
function scandinavian_preprocess_html(&$vars) {
  // Toggle fixed or fluid width.
  if (theme_get_setting('blank_width') == 'fluid') {
    $vars['classes_array'][] = 'fluid-width';
  }

  if (drupal_is_front_page()){
    $vars['head_title'] = 'Scandinavian Communities - Rhode Island Assisted Living, Rehabilitation and Skilled Nursing';
  }
}

/**
 * Override or insert variables into the page template.
 */
function scandinavian_preprocess_page(&$vars, $hook) {
  if (isset($vars['node']->type)) {
    // If the content type's machine name is "my_machine_name" the file
    // name will be "page--my-machine-name.tpl.php".
    $vars['theme_hook_suggestions'][] = 'page__' . $vars['node']->type;
  }

  // Do we have a node?
  if (isset($vars['node'])) {

    // Ref suggestions
    $suggests = &$vars['theme_hook_suggestions'];

    // Get path arguments.
    $args = arg();
    // Remove first argument of "node".
    unset($args[0]);

    // Set type.
    $type = "page__type_{$vars['node']->type}";

    // Bring it all together.
    $suggests = array_merge(
      $suggests,
      array($type),
      theme_get_suggestions($args, $type)
    );
  }
  // Move secondary tabs into a separate variable.
  $vars['tabs2'] = array(
    '#theme' => 'menu_local_tasks',
    '#secondary' => $vars['tabs']['#secondary'],
  );
  unset($vars['tabs']['#secondary']);

  if (isset($vars['main_menu'])) {
    $vars['primary_nav'] = theme('links__system_main_menu', array(
      'links' => $vars['main_menu'],
      'attributes' => array(
        'class' => array('links', 'inline', 'main-menu'),
      ),
      'heading' => array(
        'text' => t('Main menu'),
        'level' => 'h2',
        'class' => array('element-invisible'),
      )
    ));
  }
  else {
    $vars['primary_nav'] = FALSE;
  }
  if (isset($vars['secondary_menu'])) {
    $vars['secondary_nav'] = theme('links__system_secondary_menu', array(
      'links' => $vars['secondary_menu'],
      'attributes' => array(
        'class' => array('links', 'inline', 'secondary-menu'),
      ),
      'heading' => array(
        'text' => t('Secondary menu'),
        'level' => 'h2',
        'class' => array('element-invisible'),
      )
    ));
  }
  else {
    $vars['secondary_nav'] = FALSE;
  }

  // Prepare header.
  $site_fields = array();
  if (!empty($vars['site_name'])) {
    $site_fields[] = $vars['site_name'];
  }
  if (!empty($vars['site_slogan'])) {
    $site_fields[] = $vars['site_slogan'];
  }
  $vars['site_title'] = implode(' ', $site_fields);
  if (!empty($site_fields)) {
    $site_fields[0] = '<span>' . $site_fields[0] . '</span>';
  }
  $vars['site_html'] = implode(' ', $site_fields);

  // Set a variable for the site name title and logo alt attributes text.
  $slogan_text = $vars['site_slogan'];
  $site_name_text = $vars['site_name'];
  $vars['site_name_and_slogan'] = $site_name_text . ' ' . $slogan_text;

  // Make Hero Image Field Available to page tpl
  if (arg(0) == 'node') {
    $vars['node_content'] = &$vars['page']['content']['system_main']['nodes'][arg(1)];
  }
}

/**
 * Override or insert variables into the node template.
 */
function scandinavian_preprocess_node(&$vars) {
  $vars['tabs'] = menu_local_tabs();
  $vars['submitted'] = $vars['date'] . ' — ' . $vars['name'];
  $vars['theme_hook_suggestions'][] = 'node__' . $vars['type'] . '__' . $vars['view_mode'];

  // Get a list of all the regions for this theme
  foreach (system_region_list($GLOBALS['theme']) as $region_key => $region_name) {

    // Get the content for each region and add it to the $region variable
    if ($blocks = block_get_blocks_by_region($region_key)) {
      $vars['region'][$region_key] = $blocks;
    }
    else {
      $vars['region'][$region_key] = array();
    }
  }
  // Get node id value
  if ($node = menu_get_object()) {
    $thenid = $node->nid;
  }
  if ($thenid == 6) {
    // If on the contact
    if($vars['node']->type == 'page'){
      $vars['theme_hook_suggestions'][] = 'node__contact';
    }
  }
  if ($thenid == 4) {
    // If on the contact
    if($vars['node']->type == 'page'){
      $vars['theme_hook_suggestions'][] = 'node__news_events';
    }
  }
  if ($thenid == 15) {
    // If on the contact
    if($vars['node']->type == 'page'){
      $vars['theme_hook_suggestions'][] = 'node__join_our_team';
    }
  }
}

/**
 * Override or insert variables into the block template.
 */
function scandinavian_preprocess_block(&$vars) {
  $vars['title_attributes_array']['class'][] = 'title';
  $vars['classes_array'][] = 'clearfix';
}

/**
 * Override or insert variables into the region template.
 */
function scandinavian_preprocess_region(&$vars) {
  if ($vars['region'] == 'header') {
    $vars['classes_array'][] = 'clearfix';
  }
}
function scandinavian_form_alter(&$form, &$form_state, $form_id) {
  if (!empty($form['actions']) && $form['actions']['submit']) {
    $form['actions']['submit']['#attributes'] = array('class' => array('btn', 'main'));
  }
}

function scandinavian_menu_tree__menu_sidebar_menu($variables) {
  return '<ul class="list-unstyled">' . $variables['tree'] . '</ul>';
}

function scandinavian_menu_tree__menu_social_footer_menu($variables) {
  return '<ul class="list-unstyled list-inline d-inline">' . $variables['tree'] . '</ul>';
}
function scandinavian_menu_link__menu_social_footer_menu(array $variables) {
  if (($key = array_search('leaf', $variables['element']['#attributes']['class'])) !== false) {
     unset($variables['element']['#attributes']['class'][$key]);
  }
  if (($key = array_search('first', $variables['element']['#attributes']['class'])) !== false) {
    unset($variables['element']['#attributes']['class'][$key]);
  }
  if (($key = array_search('last', $variables['element']['#attributes']['class'])) !== false) {
     unset($variables['element']['#attributes']['class'][$key]);
  }
  $element = $variables['element'];

  //print '<pre>' . print_r($element, TRUE) . '</pre>';

  return '<li><a href="' . $element['#href'] . '" target="_blank">' . $element['#title'] . '</a></li>';


}
function scandinavian_menu_tree__menu_footer_cta_s($variables) {
  return '<ul class="list-unstyled list-inline">' . $variables['tree'] . '</ul>';
}
function scandinavian_menu_link__menu_footer_cta_s(array $variables) {
  if (($key = array_search('leaf', $variables['element']['#attributes']['class'])) !== false) {
     unset($variables['element']['#attributes']['class'][$key]);
  }
  if (($key = array_search('first', $variables['element']['#attributes']['class'])) !== false) {
    unset($variables['element']['#attributes']['class'][$key]);
  }
  if (($key = array_search('last', $variables['element']['#attributes']['class'])) !== false) {
     unset($variables['element']['#attributes']['class'][$key]);
  }
  $element = $variables['element'];

  $output = l($element['#title'], $element['#href'], $element['#localized_options']);


  return '<li>' . $output . '</li>';


}
function scandinavian_menu_tree__main_menu($variables) {
  return '<ul>' . $variables['tree'] . '</ul>';
}
function scandinavian_menu_link__main_menu(array $variables) {
  if (($key = array_search('leaf', $variables['element']['#attributes']['class'])) !== false) {
     unset($variables['element']['#attributes']['class'][$key]);
   }
 if (($key = array_search('first', $variables['element']['#attributes']['class'])) !== false) {
    unset($variables['element']['#attributes']['class'][$key]);
  }
  if (($key = array_search('last', $variables['element']['#attributes']['class'])) !== false) {
     unset($variables['element']['#attributes']['class'][$key]);
   }
 if (($key = array_search('expanded', $variables['element']['#attributes']['class'])) !== false) {
    unset($variables['element']['#attributes']['class'][$key]);
  }
  /*if (($key = array_search('active-trail', $variables['element']['#attributes']['class'])) !== false) {
     unset($variables['element']['#attributes']['class'][$key]);
   }*/

  $element = $variables['element'];

  $sub_menu = '';

  if ($element['#below']) {
    $sub_menu = drupal_render($element['#below']);
  }

  //echo '<pre>' . print_r($element['#below']['#children'], TRUE) . '</pre>';

  $output = l($element['#title'], $element['#href'], $element['#localized_options']);

  if (!empty($element['#attributes']['class'])){
    return '<li' . drupal_attributes($element['#attributes']) . '>' . $output  . '<i class="fa fa-angle-down d-lg-none float-right" aria-hidden="true"></i> ' . $sub_menu . '</li>';
  } else{
    return '<li class="nav-item">' . $output . '</li>';
  }

}

// Remove Type and CDATA for HTML5 compliance
function scandinavian_process_html_tag(&$vars) {
  $el = &$vars['element'];

  // Remove type="..." and CDATA prefix/suffix.
  unset($el['#attributes']['type'], $el['#value_prefix'], $el['#value_suffix']);

  // Remove media="all" but leave others unaffected.
  if (isset($el['#attributes']['media']) && $el['#attributes']['media'] === 'all') {
    unset($el['#attributes']['media']);
  }
}
