<?php

/**
 * @file
 * Default theme implementation to display a block.
 *
 * Available variables:
 * - $block->subject: Block title.
 * - $content: Block content.
 * - $block->module: Module that generated the block.
 * - $block->delta: An ID for the block, unique within each module.
 * - $block->region: The block region embedding the current block.
 * - $classes: String of classes that can be used to style contextually through
 *   CSS. It can be manipulated through the variable $classes_array from
 *   preprocess functions. The default values can be one or more of the
 *   following:
 *   - block: The current template type, i.e., "theming hook".
 *   - block-[module]: The module generating the block. For example, the user
 *     module is responsible for handling the default user navigation block. In
 *     that case the class would be 'block-user'.
 * - $title_prefix (array): An array containing additional output populated by
 *   modules, intended to be displayed in front of the main title tag that
 *   appears in the template.
 * - $title_suffix (array): An array containing additional output populated by
 *   modules, intended to be displayed after the main title tag that appears in
 *   the template.
 *
 * Helper variables:
 * - $classes_array: Array of html class attribute values. It is flattened
 *   into a string within the variable $classes.
 * - $block_zebra: Outputs 'odd' and 'even' dependent on each block region.
 * - $zebra: Same output as $block_zebra but independent of any block region.
 * - $block_id: Counter dependent on each block region.
 * - $id: Same output as $block_id but independent of any block region.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 * - $block_html_id: A valid HTML ID and guaranteed unique.
 *
 * @see template_preprocess()
 * @see template_preprocess_block()
 * @see template_process()
 *
 * @ingroup themeable
 */
?>
<?php /* Gets rid of unceccessary code wrappers */ ?>
  <?php
    switch ($block_id) {
      case 1:
          print '<div class="col-lg-3">';
          print $content;
          print '</div>';
          break;
      case 2:
          print '<div class="col-lg-2">';
          print $content;
          print '</div>';
          break;
      case 3:
          print '<div class="col-lg-3">';
          print '<h6 class="d-inline-block">Lets Get Social!&nbsp;';
          print '</h6>';
          $socialmenu = menu_tree('menu-social-footer-menu');
          $socialmenuhtml = drupal_render($socialmenu);
          print $socialmenuhtml;
  				print '<span>©' .  date('Y') . ' Scandinavian Communities,</span>
  				<span>a not-for-profit 501(c)(3)</span>
  				<span class="bump-down">site by <a href="https://www.gladworks.com" target="_blank">GLAD WORKS</a></span>';
          print '</div>';
          break;
      case 4:
          print '<div class="col-lg-4 text-center text-lg-right footer-buttons">';
          print $content;
          print '</div>';
          break;
    }
  ?>
