<?php

/**
 * @file
 * Default theme implementation for a single paragraph item.
 *
 * Available variables:
 * - $content: An array of content items. Use render($content) to print them
 *   all, or print a subset such as render($content['field_example']). Use
 *   hide($content['field_example']) to temporarily suppress the printing of a
 *   given element.
 * - $classes: String of classes that can be used to style contextually through
 *   CSS. It can be manipulated through the variable $classes_array from
 *   preprocess functions. By default the following classes are available, where
 *   the parts enclosed by {} are replaced by the appropriate values:
 *   - entity
 *   - entity-paragraphs-item
 *   - paragraphs-item-{bundle}
 *
 * Other variables:
 * - $classes_array: Array of html class attribute values. It is flattened into
 *   a string within the variable $classes.
 *
 * @see template_preprocess()
 * @see template_preprocess_entity()
 * @see template_process()
 */
?>
<?php
  if (isset($content['field_button_title'][0]['#markup'])){
    $calloutText = $content['field_button_title'][0]['#markup'];
  } else {
    $calloutText = '';
  }
  if (isset($content['field_button_link'][0]['#markup'])){
    $calloutLink = $content['field_button_link'][0]['#markup'];
  } else {
    $calloutLink = '';
  }

  /* determine if dark blue checkbox selected */
  if (isset($content['field_darker_blue_background_'][0]['#markup'])){
    $darkerBlueBg = $content['field_darker_blue_background_']['#items'][0]['value'];
    if ($darkerBlueBg == 1){
      $darkerBlueBg = 'darkblue';
    } else {
      $darkerBlueBg = '';
    }
  }

  /* handle external links */
  $target = '';
  if (isset($content['field_external_link_']['#items'])){
    $externalLink = $content['field_external_link_']['#items'][0]['value'];
    if ($externalLink == 1){
      $target = 'target="_blank"';
    } else {
      $target = '';
    }
  }
?>


<a href="<?php print $calloutLink; ?>" class="btn long-cta <?php print $darkerBlueBg; ?>" <?php print $target ?>><?php print $calloutText; ?></a>
