<?php

/**
 * @file
 * Default theme implementation for a single paragraph item.
 *
 * Available variables:
 * - $content: An array of content items. Use render($content) to print them
 *   all, or print a subset such as render($content['field_example']). Use
 *   hide($content['field_example']) to temporarily suppress the printing of a
 *   given element.
 * - $classes: String of classes that can be used to style contextually through
 *   CSS. It can be manipulated through the variable $classes_array from
 *   preprocess functions. By default the following classes are available, where
 *   the parts enclosed by {} are replaced by the appropriate values:
 *   - entity
 *   - entity-paragraphs-item
 *   - paragraphs-item-{bundle}
 *
 * Other variables:
 * - $classes_array: Array of html class attribute values. It is flattened into
 *   a string within the variable $classes.
 *
 * @see template_preprocess()
 * @see template_preprocess_entity()
 * @see template_process()
 */
?>
<?php
  if (isset($content['field_testimonial_text'][0]['#markup'])){
    $calloutText = $content['field_testimonial_text'][0]['#markup'];
  } else {
    $calloutText = '';
  }

  if (isset($content['field_testimonial_cite'][0]['#markup'])){
    $calloutCite = $content['field_testimonial_cite'][0]['#markup'];
  } else {
    $calloutCite = '';
  }

  $autoTestimonials = FALSE;
  if (isset($content['field_use_existing_testimonials_']['#items'])){
    $autoTestimonials = $content['field_use_existing_testimonials_']['#items'][0]['value'];
    if ($autoTestimonials == 1){
      $autoTestimonials = TRUE;
    }
  }
?>
<?php if ($autoTestimonials == TRUE){?>
  <?php
    /* Output rotating testimonial block */
    $block = block_load('views', 'testimonial_block-block');
    $output = _block_get_renderable_array(_block_render_blocks(array($block)));
    print drupal_render($output);
  ?>

<?php } else { ?>
  <div class="side-block">
    <div class="wrap">
      <div class="inner">
        <span class="quote"><i class="fa fa-quote-left" aria-hidden="true"></i></span>
        <?php print $calloutText; ?>
        <span class="cite">-<?php print $calloutCite; ?></span>
      </div>
    </div>
  </div>
<?php } ?>
