<?php

/**
 * @file
 * Main view template.
 *
 * Variables available:
 * - $classes_array: An array of classes determined in
 *   template_preprocess_views_view(). Default classes are:
 *     .view
 *     .view-[css_name]
 *     .view-id-[view_name]
 *     .view-display-id-[display_name]
 *     .view-dom-id-[dom_id]
 * - $classes: A string version of $classes_array for use in the class attribute
 * - $css_name: A css-safe version of the view name.
 * - $css_class: The user-specified classes names, if any
 * - $header: The view header
 * - $footer: The view footer
 * - $rows: The results of the view query, if any
 * - $empty: The empty text to display if the view is empty
 * - $pager: The pager next/prev links to display, if any
 * - $exposed: Exposed widget form/info to display
 * - $feed_icon: Feed icon to display, if any
 * - $more: A link to view more, if any
 *
 * @ingroup views_templates
 */
?>
<?php
  // Set up root path to field info
  $rootPath = $view->result[0]->_field_data['nid']['entity'];
?>
  <div class="carousel-item active">
<?php
  // Loop Through Each Slide + Apply Markup
  foreach ($rootPath->field_slide_one['und'] as $slide){
    $imgPath = image_style_url('homepage_slide', $slide['uri']);
    $imgAlt = $slide['alt'];
?>
    <img class="d-block w-100" src="<?php print $imgPath ?>" alt="<?php print $imgAlt ?>">
    <div class="carousel-caption d-none d-sm-block text-right">
      <h3><?php print $rootPath->field_slide_caption_main_one['und'][0]['value']; ?></h3>
      <p><?php print $rootPath->field_slide_caption_sub_one['und'][0]['value']; ?></p>
    </div>
    <?php } ?>
  </div>
  <div class="carousel-item">
<?php
  // Loop Through Each Slide + Apply Markup
  foreach ($rootPath->field_slide_two['und'] as $slide){
    $imgPath = image_style_url('homepage_slide', $slide['uri']);
    $imgAlt = $slide['alt'];
?>
    <img class="d-block w-100" src="<?php print $imgPath ?>" alt="<?php print $imgAlt ?>">
    <div class="carousel-caption d-none d-sm-block text-right">
      <h3><?php print $rootPath->field_slide_caption_main_two['und'][0]['value']; ?></h3>
      <p><?php print $rootPath->field_slide_caption_sub_two['und'][0]['value']; ?></p>
    </div>
    <?php } ?>
  </div>
  <div class="carousel-item">

<?php
  // Loop Through Each Slide + Apply Markup
  foreach ($rootPath->field_slide_three['und'] as $slide){
    $imgPath = image_style_url('homepage_slide', $slide['uri']);
    $imgAlt = $slide['alt'];
?>
    <img class="d-block w-100" src="<?php print $imgPath ?>" alt="<?php print $imgAlt ?>">
    <div class="carousel-caption d-none d-sm-block text-right">
      <h3><?php print $rootPath->field_slide_caption_main_three['und'][0]['value']; ?></h3>
      <p><?php print $rootPath->field_slide_caption_sub_three['und'][0]['value']; ?></p>
    </div>
    <?php } ?>
  </div>
  <div class="carousel-item">
<?php
  // Loop Through Each Slide + Apply Markup
  foreach ($rootPath->field_slide_four['und'] as $slide){
    $imgPath = image_style_url('homepage_slide', $slide['uri']);
    $imgAlt = $slide['alt'];
?>
    <img class="d-block w-100" src="<?php print $imgPath ?>" alt="<?php print $imgAlt ?>">
    <div class="carousel-caption d-none d-sm-block text-right">
      <h3><?php print $rootPath->field_slide_caption_main_four['und'][0]['value']; ?></h3>
      <p><?php print $rootPath->field_slide_caption_sub_four['und'][0]['value']; ?></p>
    </div>
    <?php } ?>
  </div>
