<?php

/**
 * @file
 * Main view template.
 *
 * Variables available:
 * - $classes_array: An array of classes determined in
 *   template_preprocess_views_view(). Default classes are:
 *     .view
 *     .view-[css_name]
 *     .view-id-[view_name]
 *     .view-display-id-[display_name]
 *     .view-dom-id-[dom_id]
 * - $classes: A string version of $classes_array for use in the class attribute
 * - $css_name: A css-safe version of the view name.
 * - $css_class: The user-specified classes names, if any
 * - $header: The view header
 * - $footer: The view footer
 * - $rows: The results of the view query, if any
 * - $empty: The empty text to display if the view is empty
 * - $pager: The pager next/prev links to display, if any
 * - $exposed: Exposed widget form/info to display
 * - $feed_icon: Feed icon to display, if any
 * - $more: A link to view more, if any
 *
 * @ingroup views_templates
 */
?>
<?php
  // Set up root path to field info
  if(isset($view->result)){
    $eventsNum = count($view->result);
  }
  $counter = 0;
?>

<h5>Upcoming Events</h5>
<?php if(!empty($eventsNum)) { ?>
<ul class="list-unstyled date-list">
  <?php
    while($counter < $eventsNum) {
      $newsevent = $view->result[$counter]->_field_data['nid']['entity']; ?>
      <?php
        if(isset($newsevent->field_date_of_event['und'][0]['value'])) { ?>
      <li>
        <a href="/news-events" class="event">
          <div class="row row-eq-height date">
            <div class="col-3 text-center ">
              <div class="date-wrapper">
                <span class="month">
                  <?php print date('M', strtotime($newsevent->field_date_of_event['und'][0]['value'])); ?>
                </span>
                <span class="day">
                  <?php print date('d', strtotime($newsevent->field_date_of_event['und'][0]['value'])); ?>
                </span>
              </div>
            </div>
            <div class="col-9 d-flex align-self-center">
              <span class="title"><?php print $newsevent->title; ?></span>
            </div>
          </div>
        </a>
      </li>
      <?php } ?>
    <?php $counter++;
    } ?>
</ul>
<?php } else {
  print $empty;
} ?>
