<?php

/**
 * @file
 * Main view template.
 *
 * Variables available:
 * - $classes_array: An array of classes determined in
 *   template_preprocess_views_view(). Default classes are:
 *     .view
 *     .view-[css_name]
 *     .view-id-[view_name]
 *     .view-display-id-[display_name]
 *     .view-dom-id-[dom_id]
 * - $classes: A string version of $classes_array for use in the class attribute
 * - $css_name: A css-safe version of the view name.
 * - $css_class: The user-specified classes names, if any
 * - $header: The view header
 * - $footer: The view footer
 * - $rows: The results of the view query, if any
 * - $empty: The empty text to display if the view is empty
 * - $pager: The pager next/prev links to display, if any
 * - $exposed: Exposed widget form/info to display
 * - $feed_icon: Feed icon to display, if any
 * - $more: A link to view more, if any
 *
 * @ingroup views_templates
 */
?>
<?php
  // Set up root path to field info
  $testCounts = count($view->result);
  $testCounts = $testCounts-1;
  $randTest = rand(0,$testCounts);
  $test = $view->result[$randTest]->_field_data['nid']['entity'];
?>
<div class="side-block">
  <div class="wrap">
    <div class="inner">
      <span class="quote"><i class="fa fa-quote-left" aria-hidden="true"></i></span>
      <?php
       if(isset($test->field_testimonial_body['und'][0]['value'])) {
         print $test->field_testimonial_body['und'][0]['value'];
       }
      ?>
      <span class="cite">-<?php
       if(isset($test->field_cite['und'][0]['value'])) {
         print $test->field_cite['und'][0]['value'];
       }
      ?>
      </span>
    </div>
  </div>
</div>
